--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: adapter
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: database
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: position
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.10.1'.freeze"
full_name: DataMapper::Migration
includes: 
- !ruby/object:RI::IncludedModule 
  name: SQL
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: create_index
- !ruby/object:RI::MethodSummary 
  name: create_migration_info_table_if_needed
- !ruby/object:RI::MethodSummary 
  name: create_table
- !ruby/object:RI::MethodSummary 
  name: down
- !ruby/object:RI::MethodSummary 
  name: drop_table
- !ruby/object:RI::MethodSummary 
  name: execute
- !ruby/object:RI::MethodSummary 
  name: migration_info_table
- !ruby/object:RI::MethodSummary 
  name: migration_info_table_exists?
- !ruby/object:RI::MethodSummary 
  name: migration_name_column
- !ruby/object:RI::MethodSummary 
  name: migration_record
- !ruby/object:RI::MethodSummary 
  name: modify_table
- !ruby/object:RI::MethodSummary 
  name: needs_down?
- !ruby/object:RI::MethodSummary 
  name: needs_up?
- !ruby/object:RI::MethodSummary 
  name: perform_down
- !ruby/object:RI::MethodSummary 
  name: perform_up
- !ruby/object:RI::MethodSummary 
  name: quote_column_name
- !ruby/object:RI::MethodSummary 
  name: quote_table_name
- !ruby/object:RI::MethodSummary 
  name: quoted_name
- !ruby/object:RI::MethodSummary 
  name: say
- !ruby/object:RI::MethodSummary 
  name: say_with_time
- !ruby/object:RI::MethodSummary 
  name: up
- !ruby/object:RI::MethodSummary 
  name: update_migration_info
- !ruby/object:RI::MethodSummary 
  name: write
name: Migration
superclass: Object
